Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.exception
Class DebugPageHandler

    java.lang.Object
      org.jboss.seam.faces.Navigator
          org.jboss.seam.exception.ExceptionHandler
              org.jboss.seam.exception.DebugPageHandler

    public class DebugPageHandler

extends ExceptionHandler

Implements automagic redirection to the Seam debug page.

Author:
  Gavin King

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.seam.exception.ExceptionHandler
`ExceptionHandler.LogLevel`

Constructor Summary
`DebugPageHandler()`

Method Summary
`void` | `handle(Exception e)`
`boolean` | `isHandler(Exception e)`
`String` | `toString()`

Methods inherited from class org.jboss.seam.exception.ExceptionHandler
`getLogLevel, isLogEnabled, setLogEnabled, setLogLevel`

Methods inherited from class org.jboss.seam.faces.Navigator
`addFacesMessage, error, getDisplayMessage, redirect, redirect, redirectExternal, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DebugPageHandler

    public DebugPageHandler()

Method Detail

### handle

    public void handle(Exception e)
                throws Exception

  Specified by:
    `handle` in class `ExceptionHandler`
  Throws:
    `Exception`

### isHandler

    public boolean isHandler(Exception e)

  Specified by:
    `isHandler` in class `ExceptionHandler`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.